View Issue Details

IDProjectCategoryView StatusLast Update
0004764unrealircdpublic2016-11-10 09:10
ReporteracidvegasAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version4.0.7 
Target VersionFixed in Version4.0.8 
Summary0004764: Usermode +d is not working
DescriptionSetting the built-in usermode +d (deaf) is not working currently.

It seems to be broken because sendto_channelprefix_butone() doesn't check for deaf clients and the "sendanyways" variable, only sendto_channel_butone() does.
TagsNo tags attached.
3rd party modules

Activities

Gottem

2016-10-15 15:20

reporter   ~0019473

Created a patch for this. sendto_channelprefix_butone() is apparently what's used for channel messages/notices, but it doesn't check in any way for deaf clients. Using the conditional from sendto_channel_butone() makes it work again; it doesn't seem to break anything else either.

Gottem

2016-10-15 15:20

reporter  

sendto_channelprefix_deafclients.diff (942 bytes)

syzop

2016-11-10 09:10

administrator   ~0019495

Fixed, thanks!

[unreal40 f0015ee] Usermode +d (deaf) was broken. Clients were still receiving channel messages. Reported by acidvegas, patch from Gottem (0004764).
https://github.com/unrealircd/unrealircd/commit/f0015ee6396ad4dce2a858df1a7ee24b457a467b

Issue History

Date Modified Username Field Change
2016-10-14 22:02 acidvegas New Issue
2016-10-15 15:20 Gottem Note Added: 0019473
2016-10-15 15:20 Gottem File Added: sendto_channelprefix_deafclients.diff
2016-11-10 09:05 syzop Status new => has patch
2016-11-10 09:10 syzop Assigned To => syzop
2016-11-10 09:10 syzop Status has patch => resolved
2016-11-10 09:10 syzop Resolution open => fixed
2016-11-10 09:10 syzop Fixed in Version => 4.0.8
2016-11-10 09:10 syzop Note Added: 0019495